librime: rime::Navigator Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Public Attributes | List of all members
rime::Navigator Class Reference

`#include <navigator.h>`

Inheritance diagram for rime::Navigator:
[legend]
Collaboration diagram for rime::Navigator:
[legend]

## Public Types
enum | TextOrientation { Horizontal = 0 , Vertical = 1 }
enum | SyllableJumpPosition { AfterDelimiter = 0 , BeforeDelimiter = 1 }
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Public Types inherited from rime::KeyBindingProcessor< Navigator, 2 >
enum | FallbackOptions
typedef bool | Handler(Context *ctx)
using | HandlerPtr

## Public Member Functions
| Navigator (const Ticket &ticket)
virtual | ~Navigator ()
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event) override
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const
Public Member Functions inherited from rime::KeyBindingProcessor< Navigator, 2 >
| KeyBindingProcessor (ActionDef *action_definitions)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event, Context *ctx, int keymap_selector=0, int fallback_options=FallbackOptions::None)
void | LoadConfig (Config *config, const string &section, int kemap_selector=0)

## Public Attributes
Handler | Rewind
Handler | Forward
Handler | LeftByChar
Handler | RightByChar
Handler | LeftBySyllable
Handler | RightBySyllable
Handler | Home
Handler | End
Handler | LeftByCharNoLoop
Handler | RightByCharNoLoop
Handler | LeftBySyllableNoLoop
Handler | RightBySyllableNoLoop

## Additional Inherited Members
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)
Static Public Attributes inherited from rime::KeyBindingProcessor< Navigator, 2 >
static const ActionDef | kActionNoop
Protected Member Functions inherited from rime::KeyBindingProcessor< Navigator, 2 >
Keymap & | get_keymap (int keymap_selector=0)
bool | Accept (const KeyEvent &key_event, Context *ctx, Keymap &keymap)
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Member Enumeration Documentation

## ◆ SyllableJumpPosition

enum rime::Navigator::SyllableJumpPosition

Enumerator
AfterDelimiter |
BeforeDelimiter |

## ◆ TextOrientation

enum rime::Navigator::TextOrientation

Enumerator
Horizontal |
Vertical |

## Constructor & Destructor Documentation

## ◆ Navigator()

rime::Navigator::Navigator | ( | const Ticket & | ticket | ) |
| explicit

## ◆ ~Navigator()

rime::Navigator::~Navigator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ ProcessKeyEvent()

ProcessResult rime::Navigator::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| overridevirtual

Reimplemented from rime::Processor.

## Member Data Documentation

## ◆ End

bool rime::Navigator::End

## ◆ Forward

bool rime::Navigator::Forward

## ◆ Home

bool rime::Navigator::Home

## ◆ LeftByChar

bool rime::Navigator::LeftByChar

## ◆ LeftByCharNoLoop

bool rime::Navigator::LeftByCharNoLoop

## ◆ LeftBySyllable

bool rime::Navigator::LeftBySyllable

## ◆ LeftBySyllableNoLoop

bool rime::Navigator::LeftBySyllableNoLoop

## ◆ Rewind

bool rime::Navigator::Rewind

## ◆ RightByChar

bool rime::Navigator::RightByChar

## ◆ RightByCharNoLoop

bool rime::Navigator::RightByCharNoLoop

## ◆ RightBySyllable

bool rime::Navigator::RightBySyllable

## ◆ RightBySyllableNoLoop

bool rime::Navigator::RightBySyllableNoLoop

The documentation for this class was generated from the following files:

- navigator.h
- navigator.cc